// Copyright 2000-2024 JetBrains s.r.o. and contributors. Use of this source code is governed by the Apache 2.0 license.
package com.intellij.collaboration.ui.codereview.diff.model

import com.intellij.collaboration.util.ComputedResult
import com.intellij.diff.requests.DiffRequest
import kotlinx.coroutines.flow.StateFlow
import org.jetbrains.annotations.ApiStatus.Internal

@Internal
interface AsyncDiffViewModel {
  val request: StateFlow<ComputedResult<DiffRequest>?>

  fun reloadRequest()
}
